@import url('brand-vars.css');
/* Fontes */
@font-face {
  font-family: 'BureauVeritasExtBdUltraCond';
  src: url('/sites/default/files/fonts/1722614566_11abbb_bureauveritasextbdultracond.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'BureauVeritasThinUltraCond';
  src: url('/sites/default/files/fonts/1722614566_d306b2_bureauveritasthinultracond.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

body {
  margin: 0;
  font-family: 'BureauVeritasExtBdUltraCond', sans-serif;
  overflow-x: hidden; /* Garante que não haverá rolagem horizontal */
}

.navbar-container{
  z-index: 1000;
  background: #fff;
}

/* ===============================
   Container Padrão
================================= */
.container {
  max-width: 1200px;
  margin: 0 auto;
  width: 100%;
  padding: 0 20px;
  box-sizing: border-box;
  display: grid;
  grid-template-columns: auto auto;
  grid-template-rows: 30% 70%;
}

/* ===============================
   Barra Cinza Superior
================================= */
.top-bar {
  background-color: #fff;
  height: 28px;
  /* width: 100%; */
  display: flex;
  align-items: center;
  font-size: 13px;
  font-weight: bold;
  color: var(--azul-escuro);
}

.top-bar .container{
  justify-content: flex-end;
}

.top-left {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-top: 5px;
}

.contact-phone {
  white-space: nowrap;
  color: #003366;
}

/* ===============================
   Estilo para Ícones Sociais
================================= */
.social-icons {
  display: flex;
  gap: 5px;
}

.social-icons a {
  display: inline-block;
  transition: opacity 0.3s ease;
}

.social-icons img {
  width: 20px;
  height: 20px;
  vertical-align: middle;
  opacity: 0.7;
}

.social-icons img:hover {
  opacity: 1;
}

/* ===============================
   Estilo para Idiomas
================================= */
.language-section {
  display: flex;
  gap: 5px;
  margin-top: 5px;
  grid-row: 1 / 1;
  grid-column: 2 / 2;
  justify-content: flex-end;
  align-items: flex-start;
  height: fit-content;
}

.language-section a {
  display: inline-block;
  transition: opacity 0.3s ease;
}

.language-section img {
  width: 26px;
  height: auto;
  vertical-align: middle;
  opacity: 0.7;
}

.language-section img:hover {
  opacity: 1;
}
.language-switcher-language-url{
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  gap: 5px;
}

/* por padrão: todas as bandeiras em grayscale e opacidade 0.7 */
.language-switcher-language-url img.language-flag {
  filter: grayscale(100%);
  opacity: 0.7;
  transition: filter 0.3s ease, opacity 0.3s ease;
}

.language-switcher-language-url img.language-flag:hover{
  opacity: 1;
  filter: none;
}

/* se o <a> tiver .is-active (Drupal marca assim o link corrente), colore */
.language-switcher-language-url a.is-active img.language-flag {
  filter: none;
  opacity: 1;
}


/* ===============================
   Linha Azul (Logo + Menu)
================================= */
.main-nav {
  width: 100%;
}

.main-nav .container {
  display: grid;
  grid-template-columns: 300px 1fr;
  align-items: center;
}

/* ===============================
   Estilo para Logo
================================= */
.logo-section {
  grid-column: 1 / 1;
  grid-row: 1 / 3;
  width: 300px;
  padding-top: 10px;
}

.logo-section a {
  display: block;
}

.logo-section img {
  height: auto;        /* mantém proporção */
  margin: 15px 0;
}

/* ===============================
   Estilo para Menu
================================= */
.menu-items {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 40px;
  grid-column: 2 / 2;
  grid-row: 2 / 2;
}

.menu-items a {
  color: var(--azul-escuro);
  text-decoration: none;
  text-transform: uppercase;
  font-weight: bold;
  font-size: 13px;
  position: relative;
  padding: 10px 0;
}

.menu-items a::after {
  content: "";
  position: absolute;
  width: 0;
  height: 2px;
  background-color: var(--azul-escuro);
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  transition: width 0.3s ease;
}

.menu-items a:hover::after,
.menu-items a.active-nav::after {
  width: 100%;
}

/* ===============================
   Botão Hamburguer
================================= */
.hamburger-menu {
  display: none;
  flex-direction: column;
  justify-content: center;
  cursor: pointer;
  width: 30px;
  height: 26px;
  z-index: 10; /* para aparecer sobre o menu */
}

.hamburger-menu span {
  display: block;
  width: 100%;
  height: 3px;
  background-color: var(--azul-escuro) !important;
  margin: 2px 0; /* Menor espaçamento */
  border-radius: 2px;
  transition: 0.3s ease;
}


/* ===============================
 Responsividade estilo customizado
================================= */

/* Monitores grandes, reduzir o espaçamento */
@media (max-width: 1235px) {
  .top-bar {
    gap: 700px;
  }
}

/* Tablets e notebooks médios */
@media (max-width: 1024px) {
  .top-bar {
    gap: 470px;
  }

  .menu-items {
    /* Removido margin-left negativo para evitar que o menu ultrapasse os limites */
    margin-left: 0;
  }

  .logo-section img {
    max-width: 100%;
  }
}

/* Tablets pequenos e celulares grandes */
@media (max-width: 767px) {
  .container{
    grid-template-columns: 50% 50%;
    grid-template-rows: auto auto auto;
  }

  .top-bar {
    padding: 0 10px;
    gap: 10px;
    flex-wrap: wrap;
    justify-content: space-between;
  }

  .logo-section img {
    margin-right: 0;
    /* max-width: 200px; */
  }

  .hamburger-menu {
    display: flex;
    position: relative;
    align-self: flex-end;
    top: 0;
    right: 0;
    transform: none;
    margin-bottom: 20px;
    margin-left: auto;
    grid-column: 2/2;
    grid-row: 2/2;
  }

  .menu-items {
  position: absolute;
  left: 0;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  background-color: #fff; /* ou a cor desejada */
  overflow: hidden;
  max-height: 0;
  opacity: 0;
  transition: max-height 0.4s ease, opacity 0.4s ease;
  z-index: 1000;
  padding: 0;
    /* grid-column: 1/3;
    grid-row: 2/4; */
  }
  
  .menu-items.show {
    max-height: 300px; /* Ajuste dependendo da altura total do conteúdo */
    opacity: 1;
    padding: 10px 0;
  }

  .logo-section .home-link {
    max-width: 200px;
    height: auto;
    margin-right: 0;
  }

  .lang-link img {
    margin-bottom: 0;
  }
}

/* Celulares pequenos */
@media (max-width: 480px) {
  .contact-phone {
    font-size: 12px;
  }

  .lang-link img {
    margin-bottom: 12px;
  }

  .menu-items a {
    font-size: 13px;
  }

  .top-bar {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 10px 10px; /* Aumenta o padding para empurrar o conteúdo para baixo */
    gap: 0;
  }

  .top-left,
  .language-section {
    margin-top: 10px; /* Adiciona margem superior para posicionar os elementos um pouco mais abaixo */
  }

  .language-section {
    display: flex;
    align-items: center;
  }
}
/* Celulares pequenos */
@media (max-width: 400px) {
  .hamburger-menu {
    margin-left: auto;
  }
  .logo-section {
    width: 90%;
  }
}
/* Celulares pequenos */
@media (max-width: 360px) {
  .hamburger-menu {
    margin-left: auto;
  }
  .logo-section {
    width: 85%;
  }
}
